Page MenuHomePhabricator

Archive the mediawiki/debian git repository
Closed, ResolvedPublicRequest

Description

Reason
I moved the repository to https://salsa.debian.org/mediawiki-team/mediawiki for much better integration with the rest of the Debian ecosystem. Just the repository should be archived, NOT the Phabricator project.

At the time Gerrit was far superior to what the Debian project offered through its Alioth git hosting service, but that's no longer the case. The growing consensus among the project is that repos should be hosted on salsa.debian.org, so that's where I've moved it.

To-do list

Event Timeline

Legoktm created this task.Dec 12 2019, 2:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2019, 2:04 AM
Kizule moved this task from Backlog to delete on the Wikimedia-GitHub board.Jan 24 2020, 3:56 AM
Kizule added a subscriber: Kizule.Feb 16 2020, 1:01 PM

@Legoktm I can work on this if you want?

hashar added a subscriber: hashar.May 12 2020, 6:36 PM

Yes it can be archived, Legoktm confirmed on T251953. The development is now done on the Debian infrastructure: https://salsa.debian.org/mediawiki-team/mediawiki :]

Change 596014 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/debian@master] Archive mediawiki/debian

https://gerrit.wikimedia.org/r/596014

Change 596016 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive mediawiki/debian

https://gerrit.wikimedia.org/r/596016

Change 596014 merged by Jforrester:
[mediawiki/debian@master] Archive mediawiki/debian

https://gerrit.wikimedia.org/r/596014

Change 596016 merged by jenkins-bot:
[integration/config@master] Mark mediawiki/debian as archived in CI

https://gerrit.wikimedia.org/r/596016

Mentioned in SAL (#wikimedia-releng) [2020-05-13T16:01:07Z] <James_F> Zuul: Mark mediawiki/debian as archived in CI T240521

Jdforrester-WMF closed this task as Resolved.May 13 2020, 4:24 PM
Jdforrester-WMF updated the task description. (Show Details)